@keyframes fadein{
	from{opacity:0;background-color:rgba(0,0,0,1);}
	to{opacity:1;background-color:rgba(0,0,0,0);}
}
@keyframes fadeout{
	from{opacity:1;background-color:rgba(0,0,0,0);}
	to{opacity:0;background-color:rgba(0,0,0,1);}
}
@keyframes fadein0{
    from{opacity:0;}
	to{opacity:1;}
}
@keyframes fadein1{
	from{opacity:0;background-color:rgba(255,241,223,0);}
	to{opacity:1;background-color:rgba(255,241,223,1);}
}
@keyframes slidein{
	from{transform:translateX(-120px);opacity:0;}
	to{transform:translateX(0);opacity:1;}
}
@keyframes slideinR{
	from{transform:translateX(120px);opacity:0;}
	to{transform:translateX(0);opacity:1;}
}
@keyframes scalein{
	from{transform:scale(1.2);opacity:0;}
	to{transform:scale(1);opacity:1;}
}
@keyframes navi{
    from{transform:translateY(50px);opacity:0;}
    to{transform:translateY(0);opacity:1;}
}
@keyframes slideup{
    from{transform:translateY(50px);opacity:0;}
    to{transform:translateY(0);opacity:1;}
}
@keyframes slidedown{
    from{transform:translateY(-150px);opacity:0;}
    to{transform:translateY(0);opacity:1;}
}
@keyframes updown{
    0%{transform:translateY(0);}
    50%{transform:translateY(-5px);}
    100%{transform:translateY(0);}
}
@keyframes topleft{
    from{transform:translate(-10px, -10px);opacity:0;}
    to{transform:translate(0, 0);opacity:1;}
}
@keyframes topright{
    from{transform:translate(10px, -10px);opacity:0;}
    to{transform:translate(0, 0);opacity:1;}
}
@keyframes bottomleft{
    from{transform:translate(-10px, 10px);opacity:0;}
    to{transform:translate(0, 0);opacity:1;}
}
@keyframes bottomright{
    from{transform:translate(10px, 10px);opacity:0;}
    to{transform:translate(0, 0);opacity:1;}
}
@keyframes defaultright{
    0%{transform:translateX(0px);}
    50%{transform:translateX(20px);}
    100%{transform:translateX(0px);}
}
@keyframes circle{
    from{transform:scale(50%);}
    to{transform:scale(110%);}
}
@keyframes mover2cfrm{from{left:100%;} to{left:0;}}
@keyframes movec2lfrm{from{left:0;} to{left:-150%;}}
@keyframes movel2cfrm{from{left:-100%;} to{left:left:0;}}
@keyframes movec2rfrm{from{left:0;} to{left:150%;}}